Bug 122313 - nautilus looking for autofs:/directory/.hidden floods syslogd
nautilus looking for autofs:/directory/.hidden floods syslogd
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Moyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 21:01 EDT by Josiah Royse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josiah Royse 2004-05-02 21:01:22 EDT
Description of problem:
Nautilus repeatedly looks for a ".hidden" file/folder on the root of
an autofs mounted directory, bogging down both local and remote
syslogd servers with misc errors.  Will causes a noticeable slow down
of two PCs until nautilus is killed and syslogd has flushed out.

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4
autofs-4.1.2-2

How reproducible:
always

Steps to Reproduce:
1. setup autofs with another PCs NFS export
2. browse nautilus to /autofs-mounted-directory/
3. watch CPU load run up
  
Actual results:
nautilus is looking for .hidden file/folder

Expected results:
nautilus fails to load .hidden file/folder, and resumes file browsing

Additional info:
Server side config:
[root@t-rex log]# cat /etc/exports
/linear/        @home(rw,sync,no_root_squash)

Client side config:
[josiah@tabasco josiah]$ /etc/init.d/autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount --timeout=60 /linear yp auto.local
/usr/sbin/automount --timeout=60 /auto yp auto.home
                                                                     
                         
Active Mount Points:
--------------------
/usr/sbin/automount --timeout=60 /linear yp auto.local
/usr/sbin/automount --timeout=60 /auto yp auto.home

[josiah@tabasco josiah]$ ypcat auto.local
-rw,hard,intr           t-rex:/linear/&

[josiah@tabasco josiah]$ ls -a /linear/
. .. folder1 folder2 folder3
Comment 1 Josiah Royse 2004-05-02 21:11:16 EDT
Oh yeah, here are the errors:
Server side starts out nice with cannot stat errors (+50), then floods
with illegal port errors (+infinity:
May  2 16:01:03 t-rex rpc.mountd: can't stat exported dir
/linear/.hidden: No such file or directory
May  2 16:01:03 t-rex rpc.mountd: authenticated mount request from
tabasco:869 for /linear/.hidden (/linear)
May  2 16:01:03 t-rex rpc.mountd: refused mount request from tabasco
for /linear/.hidden (/linear): illegal port 38334

Client side starts out nice no file errors (+50), then turns ugly with
denied messages (inifinity):
May  2 16:01:03 tabasco automount[2239]: >> mount:
t-rex:/linear/.hidden failed, reason given by server: No such file or
directory
May  2 16:01:03 tabasco automount[2239]: mount(nfs): nfs: mount
failure t-rex:/linear/.hidden on /linear/.hidden
May  2 16:01:03 tabasco automount[2239]: failed to mount /linear/.hidden
May  2 16:01:03 tabasco automount[2241]: >> mount:
t-rex:/linear/.hidden failed, reason given by server: Permission denied
May  2 16:01:03 tabasco automount[2241]: mount(nfs): nfs: mount
failure t-rex:/linear/.hidden on /linear/.hidden
Comment 2 Josiah Royse 2004-05-03 22:39:29 EDT
Changed component from nautilus to autofs, due to konqueror triggering
the same behavior.  

Note: Creating a .hidden directory on the remote server stops the
syslog overflow.  But some desktop component does not work well over
NIS/NFS/autofs directories.
Comment 3 Jeff Moyer 2004-09-20 15:31:37 EDT
Any attempt to access a non-existent directory will result in -ENOENT.
 The nautilus code should be written to understand this return value.
 Alex, do you have any insight on this problem?
Comment 4 Alexander Larsson 2004-09-21 10:16:41 EDT
Not really. The only time nautilus looks for .hidden is once, before
readdir()ing a directory.
Comment 5 Jeff Moyer 2004-09-21 10:32:04 EDT
Josiah,

I am unable to reproduce the problem here.  What does the lsmod output
show?  Which version of the autofs module is loaded?
Comment 6 Josiah Royse 2004-09-21 21:37:59 EDT
Nothing has changed in above post, yum says autofs-4.1.2-2 is up2date.
 I removed the .hidden directory off of NFS mountpont /linear/ and the
syslog went crazy on both server and client.  Server is a RH 9.0 system.  

-------------Client/workstation data--------------------
[root@tabasco root]# rpm -qf /usr/sbin/automount ; lsmod
autofs-4.1.2-2

Module                  Size  Used by
snd_mixer_oss          14017  2
snd_trident            44009  4
snd_ac97_codec         58821  1 snd_trident
snd_pcm                83529  1 snd_trident
snd_timer              25413  1 snd_pcm
snd_page_alloc          8393  2 snd_trident,snd_pcm
gameport                4033  1 snd_trident
snd_util_mem            3521  1 snd_trident
snd_mpu401_uart         7361  1 snd_trident
snd_rawmidi            21733  1 snd_mpu401_uart
snd_seq_device          6473  2 snd_trident,snd_rawmidi
snd                    45477  13
snd_mixer_oss,snd_trident,snd_ac97_codec,snd_pcm,snd_timer,snd_util_mem,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               7713  3 snd
nfs                   171133  2
lockd                  52105  2 nfs
parport_pc             21249  1
lp                      9133  0
parport                35977  2 parport_pc,lp
autofs4                20677  2
sunrpc                141861  6 nfs,lockd
sis900                 15941  0
floppy                 54001  0
sg                     28513  0
scsi_mod              105360  1 sg
dm_mod                 47317  0
joydev                  7169  0
ohci_hcd               19793  0
radeon                113669  2
md5                     3905  1
ipv6                  217349  10
ext3                   96937  2
jbd                    66521  1 ext3
[root@tabasco root]#
Comment 7 Jeff Moyer 2005-04-11 16:17:39 EDT
Are you still experiencing this problem?  If so, could you perhaps include an
strace of the nautilus process?

Thanks.
Comment 8 Jeff Moyer 2005-10-21 11:17:38 EDT
I'm closing this bug due to inactivity.  If you are still experiencing problems,
then please reopen the bug and provide more debug information.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.